<?php
session_start();
require_once __DIR__ . '/config.php';
require_once __DIR__ . '/functions.php';

$isLoggedIn = false;
if (isset($_SESSION['admin_logged_in']) && $_SESSION['admin_logged_in'] === true) {
    $isLoggedIn = true;
}

if (!$isLoggedIn && $_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['login'])) {
    $username = $_POST['username'] ?? '';
    $password = $_POST['password'] ?? '';
    if ($username === ADMIN_PANEL_USERNAME && $password === ADMIN_PANEL_PASSWORD) {
        $_SESSION['admin_logged_in'] = true;
        $isLoggedIn = true;
        header("Location: admin.php");
        exit;
    } else {
        $loginError = "Username atau Password salah.";
    }
}

if (isset($_GET['logout'])) {
    session_destroy();
    header("Location: admin.php");
    exit;
}

$page = 'dashboard';
if ($isLoggedIn && isset($_GET['page'])) {
    $requestedPage = basename($_GET['page']);
    if (file_exists(__DIR__ . '/page/' . $requestedPage . '.php')) {
        $page = $requestedPage;
    } else {
        $page = 'dashboard';
    }
}

$message = $_SESSION['flash_message'] ?? '';
unset($_SESSION['flash_message']);
$domains = $isLoggedIn ? readJsonFile(DOMAIN_DATA_FILE) : [];
$blockedDomains = $isLoggedIn ? readJsonFile(BLOCKED_LIST_FILE) : [];
$paths = $isLoggedIn ? readJsonFile(PATH_LIST_FILE) : [];

$formProcessedMessage = '';
if ($isLoggedIn && $_SERVER['REQUEST_METHOD'] === 'POST' && !isset($_POST['login'])) {

}
$message = $formProcessedMessage ?: $message;

?>
<!DOCTYPE html>
<html>
<head>
    <title>Admin Panel <?php echo $isLoggedIn ? '- ' . ucfirst($page) : ''; ?></title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css">
    <style>
        body { font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif; margin: 0; background-color: #f8f9fa; display: flex; min-height: 100vh; }
        .sidebar { width: 220px; background-color: #343a40; color: #adb5bd; padding-top: 20px; position: fixed; height: 100%; overflow-y: auto; }
        .sidebar h2 { color: #fff; text-align: center; margin-bottom: 30px; font-size: 1.5em; }
        .sidebar a { display: block; color: #adb5bd; padding: 12px 20px; text-decoration: none; transition: background-color 0.3s, color 0.3s; }
        .sidebar a:hover, .sidebar a.active { background-color: #495057; color: #fff; }
        .sidebar a i { margin-right: 10px; width: 20px; text-align: center; }
        .main-content { margin-left: 220px; flex-grow: 1; padding: 25px; }
        .container { background-color: #fff; padding: 20px 30px; border-radius: 8px; box-shadow: 0 2px 10px rgba(0,0,0,0.05); margin-bottom: 20px; }
        h1, h2 { color: #343a40; border-bottom: 1px solid #dee2e6; padding-bottom: 10px; margin-top: 0; }
        .message { padding: 12px 18px; border-radius: 4px; margin-bottom: 20px; border: 1px solid transparent; font-size: 0.95em; }
        .success { background-color: #d1e7dd; border-color: #badbcc; color: #0f5132; }
        .error { background-color: #f8d7da; border-color: #f5c2c7; color: #842029; }
        .info { background-color: #cff4fc; border-color: #b6effb; color: #055160; }
        .warning { background-color: #fff3cd; border-color: #ffecb5; color: #664d03; }
        .login-form { max-width: 400px; margin: 100px auto; background-color: #fff; padding: 30px; border-radius: 8px; box-shadow: 0 2px 10px rgba(0,0,0,0.1); }
        .login-form h1 { text-align: center; margin-bottom: 25px; }
        .logout-button { background-color: #dc3545; color: white; border: none; padding: 8px 15px; border-radius: 4px; text-decoration: none; display: inline-block; text-align: center; font-size: 0.9em; }
        .logout-button:hover { background-color: #c82333; }
        .sidebar .logout-link { margin-top: 30px; border-top: 1px solid #495057; padding-top: 15px; }
        .dashboard-cards { display: flex; flex-wrap: wrap; gap: 20px; margin-bottom: 30px; }
        .card { background-color: #fff; border-radius: 8px; box-shadow: 0 1px 3px rgba(0,0,0,0.1); padding: 20px; flex: 1 1 200px; display: flex; align-items: center; transition: transform 0.2s; }
        .card:hover { transform: translateY(-3px); }
        .card i { font-size: 2.5em; margin-right: 15px; color: #007bff; width: 50px; text-align: center; }
        .card .card-content .card-title { font-size: 0.9em; color: #6c757d; margin-bottom: 5px; }
        .card .card-content .card-value { font-size: 1.8em; font-weight: bold; color: #343a40; }
        .card.status-ok i { color: #28a745; }
        .card.status-error i { color: #dc3545; }
        .card.status-warning i { color: #ffc107; }
        table { width: 100%; border-collapse: collapse; margin-top: 20px; background-color: #fff; box-shadow: 0 1px 3px rgba(0,0,0,0.05); border-radius: 5px; overflow: hidden; }
        th, td { border: 1px solid #dee2e6; padding: 12px 15px; text-align: left; font-size: 0.95em; }
        th { background-color: #e9ecef; color: #495057; font-weight: 600; }
        tr:nth-child(even) { background-color: #f8f9fa; }
        td .action-buttons form, td .action-buttons button { display: inline-block; margin-right: 5px; }
        td .action-buttons button { padding: 6px 10px; font-size: 0.85em; border-radius: 3px; cursor: pointer; border: none; color: white; }
        .edit-button { background-color: #ffc107; color: #212529;}
        .delete-button { background-color: #dc3545; }
        .edit-button:hover { background-color: #e0a800;}
        .delete-button:hover { background-color: #c82333; }
        form label { display: block; margin-bottom: 8px; font-weight: 600; color: #495057; }
        form input[type=text], form input[type=password], form select { width: 100%; padding: 10px; margin-bottom: 15px; border: 1px solid #ced4da; border-radius: 4px; box-sizing: border-box; transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out; }
        form input:focus, form select:focus { border-color: #80bdff; outline: 0; box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25); }
        form button { padding: 10px 18px; cursor: pointer; background-color: #007bff; color: white; border: none; border-radius: 4px; font-size: 1em; margin-right: 10px; }
        form button[type=button] { background-color: #6c757d; }
        form button:hover { opacity: 0.9; }
         @media (max-width: 768px) {
             .sidebar { width: 100%; height: auto; position: relative; display: flex; justify-content: center; padding-top: 0; }
             .sidebar h2 { display: none; }
             .sidebar a { padding: 10px; flex-grow: 1; text-align: center; }
             .sidebar a span { display: none; }
             .sidebar a i { margin-right: 0; }
             .main-content { margin-left: 0; padding: 15px; }
             .dashboard-cards { gap: 10px; }
             .card { flex-basis: calc(50% - 10px); padding: 15px; }
             .card i { font-size: 2em; margin-right: 10px;}
             .card .card-content .card-value { font-size: 1.5em; }
         }
         @media (max-width: 480px) {
             .card { flex-basis: 100%; }
         }
    </style>
</head>
<body>

<?php if (!$isLoggedIn): ?>
    <div class="login-form">
        <h1>Login Admin Panel</h1>
        <?php if (isset($loginError)): ?>
            <p class="message error"><?php echo htmlspecialchars($loginError); ?></p>
        <?php endif; ?>
        <form method="POST">
            <input type="hidden" name="login" value="1">
            <label for="username">Username:</label>
            <input type="text" id="username" name="username" required>
            <label for="password">Password:</label>
            <input type="password" id="password" name="password" required>
            <button type="submit">Login</button>
        </form>
    </div>
<?php else: ?>
    <div class="sidebar">
        <h2>Admin Panel</h2>
        <a href="?page=dashboard" class="<?php echo ($page === 'dashboard') ? 'active' : ''; ?>"><i class="fas fa-tachometer-alt"></i> <span>Dashboard</span></a>
        <a href="?page=manage_domains" class="<?php echo ($page === 'manage_domains') ? 'active' : ''; ?>"><i class="fas fa-list-alt"></i> <span>Manage Domains</span></a>
        <a href="?page=manage_paths" class="<?php echo ($page === 'manage_paths') ? 'active' : ''; ?>"><i class="fas fa-route"></i> <span>Manage Paths</span></a>
        <div class="logout-link">
             <a href="?logout=1" class="logout-button" style="display: block; margin: 10px 20px; text-align: center;"><i class="fas fa-sign-out-alt"></i> <span>Logout</span></a>
        </div>
    </div>

    <div class="main-content">
        <?php if ($message): ?>
            <div class="message <?php
                if (strpos(strtolower($message), 'error') !== false || strpos(strtolower($message), 'gagal') !== false) echo 'error';
                elseif (strpos(strtolower($message), 'sukses') !== false) echo 'success';
                elseif (strpos(strtolower($message), 'peringatan') !== false) echo 'warning';
                else echo 'info'; ?>">
                <?php echo htmlspecialchars($message); ?>
            </div>
        <?php endif; ?>

        <?php
        include __DIR__ . '/page/' . $page . '.php';
        ?>
    </div>
<?php endif; ?>

</body>
</html>
