<?php
if (!defined('BOT_TOKEN')) { die('Akses langsung tidak diizinkan.'); }

$formMessage = '';
$paths = readJsonFile(PATH_LIST_FILE);

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $action = $_POST['action'] ?? '';
    $label = trim($_POST['label'] ?? '');
    $path = trim($_POST['path'] ?? '');

    if ($action === 'add_path' && !empty($label) && !empty($path)) {
        if (!isset($paths[$label])) {
            $paths[$label] = [];
        }
        if (!in_array($path, $paths[$label])) {
            $paths[$label][] = $path;
            if (writeJsonFile(PATH_LIST_FILE, $paths)) {
                $formMessage = "Sukses: Path '$path' ditambahkan ke label '$label'.";
                $paths = readJsonFile(PATH_LIST_FILE);
            } else {
                $formMessage = "Error: Gagal menyimpan data path.";
            }
        } else {
            $formMessage = "Info: Path '$path' sudah ada di label '$label'.";
        }
    } elseif ($action === 'delete_path' && !empty($label) && !empty($path)) {
         if (isset($paths[$label]) && is_array($paths[$label])) {
             $initialCount = count($paths[$label]);
             $paths[$label] = array_filter($paths[$label], function($p) use ($path) { return $p !== $path; });
             if (count($paths[$label]) < $initialCount) {
                 if (empty($paths[$label])) { unset($paths[$label]); }
                 if (writeJsonFile(PATH_LIST_FILE, $paths)) {
                     $formMessage = "Sukses: Path '$path' dihapus dari label '$label'.";
                     $paths = readJsonFile(PATH_LIST_FILE);
                 } else {
                      $formMessage = "Error: Gagal menyimpan data setelah hapus path.";
                 }
             } else {
                  $formMessage = "Error: Path '$path' tidak ditemukan di label '$label'.";
             }
         } else {
              $formMessage = "Error: Label '$label' tidak ditemukan.";
         }
    }
     elseif ($action === 'delete_label' && !empty($label)) {
         if (isset($paths[$label])) {
             unset($paths[$label]);
             if (writeJsonFile(PATH_LIST_FILE, $paths)) {
                 $formMessage = "Sukses: Label '$label' beserta semua path di dalamnya dihapus.";
                 $paths = readJsonFile(PATH_LIST_FILE);
             } else {
                 $formMessage = "Error: Gagal menyimpan data setelah hapus label '$label'.";
             }
         } else {
              $formMessage = "Error: Label '$label' tidak ditemukan.";
         }
     }
}

?>
<h1><i class="fas fa-route"></i> Manage URL Paths</h1>

<?php if ($formMessage): ?>
    <div class="message <?php
        if (strpos(strtolower($formMessage), 'error') !== false || strpos(strtolower($formMessage), 'gagal') !== false) echo 'error';
        elseif (strpos(strtolower($formMessage), 'sukses') !== false) echo 'success';
        else echo 'info'; ?>">
        <?php echo htmlspecialchars($formMessage); ?>
    </div>
<?php endif; ?>

<div class="container">
    <h2>Tambah Path Baru</h2>
    <form method="POST" action="admin.php?page=manage_paths">
        <input type="hidden" name="action" value="add_path">
        <label for="label">Label:</label>
        <input type="text" id="label" name="label" required placeholder="Label (e.g., Utama, Promo)">
        <label for="path">Path:</label>
        <input type="text" id="path" name="path" required placeholder="/contoh/url/path">
        <button type="submit">Tambah Path</button>
    </form>
</div>

<div class="container">
    <h2>Daftar Path Tersimpan</h2>
    <?php if (!empty($paths)): ?>
        <?php foreach ($paths as $label => $pathList): ?>
            <h3>
                Label: <?php echo htmlspecialchars($label); ?>
                <form method="POST" action="admin.php?page=manage_paths" style="display:inline; margin-left: 15px;" onsubmit="return confirm('Yakin hapus label <?php echo htmlspecialchars($label); ?> dan SEMUA path di dalamnya?')">
                    <input type="hidden" name="action" value="delete_label">
                    <input type="hidden" name="label" value="<?php echo htmlspecialchars($label); ?>">
                    <button type="submit" class="delete-button" style="padding: 4px 8px; font-size: 0.8em;"><i class="fas fa-trash-alt"></i> Hapus Label Ini</button>
                </form>
            </h3>
            <?php if (is_array($pathList) && !empty($pathList)): ?>
            <table>
                <thead>
                    <tr>
                        <th>Path</th>
                        <th>Aksi</th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($pathList as $path): ?>
                    <tr>
                        <td><code><?php echo htmlspecialchars($path); ?></code></td>
                        <td class="action-buttons">
                             <form method="POST" action="admin.php?page=manage_paths" onsubmit="return confirm('Yakin hapus path <?php echo htmlspecialchars($path); ?> dari label <?php echo htmlspecialchars($label); ?>?')">
                                <input type="hidden" name="action" value="delete_path">
                                <input type="hidden" name="label" value="<?php echo htmlspecialchars($label); ?>">
                                <input type="hidden" name="path" value="<?php echo htmlspecialchars($path); ?>">
                                <button type="submit" class="delete-button">Delete</button>
                            </form>
                        </td>
                    </tr>
                    <?php endforeach; ?>
                </tbody>
            </table>
            <?php else: ?>
            <p>Tidak ada path untuk label ini.</p>
            <?php endif; ?>
            <hr style="margin-top: 20px; border: 0; border-top: 1px solid #eee;">
        <?php endforeach; ?>
    <?php else: ?>
        <p>Belum ada path URL yang tersimpan.</p>
    <?php endif; ?>
</div>
