<?php

require_once __DIR__ . '/config.php';
require_once __DIR__ . '/functions.php';

header("Cache-Control: no-store, no-cache, must-revalidate, max-age=0");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

$brand = isset($_GET['brand']) ? trim($_GET['brand']) : null;
$label = isset($_GET['label']) ? trim($_GET['label']) : null;

if (empty($brand) || empty($label)) {
    http_response_code(400);
    echo "Error 400: Brand and Label required.";
    exit;
}

$allDomains = readJsonFile(DOMAIN_DATA_FILE);
$blockedDomains = readJsonFile(BLOCKED_LIST_FILE);

$availableDomains = [];
foreach ($allDomains as $item) {
    if (isset($item['brand']) && strtolower($item['brand']) === strtolower($brand) &&
        isset($item['label']) && strtolower($item['label']) === strtolower($label))
    {
        if (isset($item['status']) && $item['status'] === 'active' &&
            isset($item['domain']) && !in_array($item['domain'], $blockedDomains))
        {
             if (!in_array($item['domain'], $blockedDomains)) {
                 $availableDomains[] = $item['domain'];
             }
        }
    }
}

if (!empty($availableDomains)) {
    $randomIndex = array_rand($availableDomains);
    $redirectDomain = $availableDomains[$randomIndex];
    header("Location: https://" . $redirectDomain, true, 302);
    exit;
} else {
    http_response_code(404);
    echo "Error 404: No available domain found.";
    exit;
}

?>
