<?php

require_once __DIR__ . '/config.php';

if (empty(WEBHOOK_URL) || filter_var(WEBHOOK_URL, FILTER_VALIDATE_URL) === false || parse_url(WEBHOOK_URL, PHP_URL_SCHEME) !== 'https') {
    die("Error: WEBHOOK_URL dalam config.php tidak valid atau bukan HTTPS.");
}

$apiUrl = "https://api.telegram.org/bot" . BOT_TOKEN . "/setWebhook?url=" . urlencode(WEBHOOK_URL);

echo "Menghubungi API Telegram...\n";
$response = @file_get_contents($apiUrl);

if ($response === false) {
    $error = error_get_last();
    echo "Gagal menghubungi API Telegram.\n";
    if ($error) echo "Error PHP: " . $error['message'] . "\n";
} else {
    echo "Respons dari Telegram:\n";
    echo $response . "\n";
    $responseData = json_decode($response, true);
    if (isset($responseData['ok']) && $responseData['ok'] === true) {
        echo "\nWebhook BERHASIL diatur ke: " . WEBHOOK_URL . "\n";
    } elseif (isset($responseData['description'])) {
        echo "\nWebhook GAGAL diatur. Pesan: " . $responseData['description'] . "\n";
    }
}
?>
